From f82abd4338cfa40987b56815366b287937beb7df Mon Sep 17 00:00:00 2001
From: Nils Philippsen <nils@redhat.com>
Date: Dec 11 2017 13:39:02 +0000
Subject: [PATCH 9/51] check that description exists


---

diff --git a/src/_fedmod/modulemd_linter.py b/src/_fedmod/modulemd_linter.py
index 3de56fd..d522a2c 100644
--- a/src/_fedmod/modulemd_linter.py
+++ b/src/_fedmod/modulemd_linter.py
@@ -146,6 +146,12 @@ class ModuleMDLinter(object):
         """The summary SHOULD NOT end in a period."""
         assert not self.mmd.summary.strip().endswith(".")
 
+    @error
+    @guidelines_link('#Module_summary_and_description')
+    def lint_description_exists(self):
+        """Every module MUST include a description."""
+        assert self.mmd.description and self.mmd.description.strip()
+
     @warning
     @guidelines_link('#Module_summary_and_description')
     def lint_description_ends_in_period(self):

